[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TSBCreatePanelClassEvent

Specifies an event handler signalled to get the class type for a new status bar panel.

## Declaration

Source position: comctrls.pp line 112

`type TSBCreatePanelClassEvent = procedure(`
`Sender: TStatusBar;`
`var PanelClass: TStatusPanelClass`
`) of object;`

## Arguments

`Sender` |  | Object (TStatusBar) for the event.
`PanelClass` |  | Class reference for the new panel.

## Description

TSBCreatePanelClassEvent is an object procedure type and specifies an event handler used to get the class type needed for a new status bar panel instance.

Sender is the status bar where the panel will be created. It must be cast to TStatusBar to access properties and method specific to the class type.

PanelClass is a variable argument with the class type used to create the new panel instance. It can be updated in the event handler to use the value from the GetPanelClass method in the status bar, or another class type if desired.

TSBCreatePanelClassEvent is the type used for the OnCreatePanelClass event handler in TStatusBar.

## See also

TStatusBar.OnCreatePanelClass |  | Event handler signalled to get the class used to create new panels in the status bar.
TStatusBar.CreatePanel |  | CreatePanel - returns a created Status Panel.